<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.EnergyWarningInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.admin.entity.EnergyWarningInfo">
        <id column="id" property="id" />
        <result column="warning_type" property="warningType" />
        <result column="warning_content" property="warningContent" />
        <result column="build_location" property="buildLocation" />
        <result column="unit_name" property="unitName" />
        <result column="unit_id" property="unitId" />
        <result column="device_id" property="deviceId" />
        <result column="date" property="date" />
        <result column="user_ids" property="userIds" />
        <result column="user_names" property="userNames" />
        <result column="farm_id" property="farmId" />
        <result column="other1" property="other1" />
        <result column="other2" property="other2" />
        <result column="other3" property="other3" />
    </resultMap>

</mapper>
